Bug 1656199 - CVE-2018-19497 sleuthkit: Out-of-bounds memory read in hfs_cat_traverse in tsk/fs/hfs.c [epel-7]
Summary: CVE-2018-19497 sleuthkit: Out-of-bounds memory read in hfs_cat_traverse in ts...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: sleuthkit
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-19497
TreeView+ depends on / blocked
 
Reported: 2018-12-04 22:25 UTC by Laura Pardo
Modified: 2019-06-09 00:23 UTC (History)
2 users (show)

Fixed In Version: sleuthkit-4.6.6-1.fc30 sleuthkit-4.6.6-1.fc29 sleuthkit-4.6.6-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-02 00:53:42 UTC
Type: ---


Attachments (Terms of Use)

Description Laura Pardo 2018-12-04 22:25:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Laura Pardo 2018-12-04 22:25:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1656197,1656199

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-05-24 15:53:41 UTC
sleuthkit-4.6.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b909a6e178

Comment 3 Fedora Update System 2019-05-24 15:53:45 UTC
sleuthkit-4.6.6-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b860f718ec

Comment 4 Fedora Update System 2019-05-24 15:53:50 UTC
sleuthkit-4.6.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-61b6dae771

Comment 5 Fedora Update System 2019-05-24 15:53:55 UTC
sleuthkit-4.6.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e1be98c0a7

Comment 6 Fedora Update System 2019-05-25 01:51:12 UTC
sleuthkit-4.6.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b860f718ec

Comment 7 Fedora Update System 2019-05-25 02:16:12 UTC
sleuthkit-4.6.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b909a6e178

Comment 8 Fedora Update System 2019-05-25 03:12:33 UTC
sleuthkit-4.6.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e1be98c0a7

Comment 9 Fedora Update System 2019-05-25 04:42:27 UTC
sleuthkit-4.6.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-61b6dae771

Comment 10 Fedora Update System 2019-06-02 00:53:42 UTC
sleuthkit-4.6.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-06-02 05:41:22 UTC
sleuthkit-4.6.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-06-09 00:23:07 UTC
sleuthkit-4.6.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.